using Hotline.Share.Enums.Quality;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Quality
{
	[Description("质检模版")]
	public class QualityTemplate : FullStateEntity
	{
		/// <summary>
		/// 模版名称
		/// </summary>
		[SugarColumn(ColumnDescription = "质检模版名称")]
		public string Name { get; set; }

		/// <summary>
		/// 模版分类名称
		/// </summary>
		[SugarColumn(ColumnDescription = "质检模版名称")]
		public ETemplateGrouping Grouping { get; set; }

		/// <summary>
		/// 模版说明
		/// </summary>
		[SugarColumn(ColumnDescription = "模版说明", ColumnDataType = "varchar(2000)")]
		public string? Content { get; set; }

		/// <summary>
		/// 启禁用
		/// </summary>
		[SugarColumn(ColumnDescription = "启禁用  0  启用  1 禁用")]
		public int IsEnable { get; set; }

		/// <summary>
		/// 模版明细
		/// </summary>
		[Navigate(NavigateType.OneToMany, nameof(QualityTemplateDetail.TemplateId))]
		public List<QualityTemplateDetail> templateDetails { get; set; }

		/// <summary>
		/// 最近更新人
		/// </summary>
		[SugarColumn(ColumnDescription = "最近更新人")]
		public string? LastModificationName { get; set; }
	}
}
